/****************************************************************************
* NVMC                                                                      *
* EnVy My Car                                                               *
*                                                                           *
* Fabio Ganovelli                                                           *
* Massimiliano Corsini                                                      *
*                                                                           *
* All rights reserved.                                                      *
*                                                                           *
* This program is free software; you can redistribute it and/or modify      *
* it under the terms of the GNU General Public License as published by      *
* the Free Software Foundation; either version 2 of the License, or         *
* (at your option) any later version.                                       *
*                                                                           *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
* GNU General Public License (http://www.gnu.org/licenses/gpl.txt)          *
* for more details.                                                         *
*                                                                           *
****************************************************************************/


// local headers
#include "client_game.h"

// standard headers
#include <iostream>

///
int main(int argc, char** argv)
{
    bool stl;

    if (argc < 2)
    {
        std::cout << "  Usage: client <standalone> <circuit>" << std::endl;
        std::cout << "         <standalone>    1: standalone , 0: LAN" << std::endl;
        std::cout << "         <circuit>       circuit to load" << std::endl;
    }

    if ((argv[1])[0] == '1')
        stl = true;
    else
        stl = false;


    if (stl)
        std::cout << "MODE: STANDALONE" << std::endl;
    else
        std::cout << "MODE: LAN" << std::endl;

    if (argc > 2)
        std::cout << "CIRCUIT: " << argv[2] << std::endl << std::endl;
 
    if (argc == 2)
        cli.Initialize(NULL, stl);
    else
        cli.Initialize(argv[2],stl);

    cli.Start();
    cli.Terminate();
    return 0;
}
