/****************************************************************************
* NVMC                                                                      *
* EnVy My Car																*
*                                                                           *
* Fabio Ganovelli                                                           *
*                                                                           *
* All rights reserved.                                                      *
*                                                                           *
* This program is free software; you can redistribute it and/or modify      *
* it under the terms of the GNU General Public License as published by      *
* the Free Software Foundation; either version 2 of the License, or         *
* (at your option) any later version.                                       *
*                                                                           *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
* GNU General Public License (http://www.gnu.org/licenses/gpl.txt)          *
* for more details.                                                         *
*                                                                           *
****************************************************************************/




#include <vcg/space/point4.h>
#include <string>
#include <stdlib.h>
#include <stdio.h>

#include "packaging.h"

std::string stringV(const float & v){
	char buf[255];
	sprintf(buf,"%f",v);
	return std::string(&buf[0]);
}
 std::string stringV(const int & v){
	char buf[255];
	sprintf(buf,"%d",v);
	return std::string(&buf[0]);
}
///
std::string Pack(const  vcg::Point4f & f){ 
	std::string s;
	int i;
	for(i = 0; i < 4; ++i)
			s += stringV(f[i]).append(" ");
	return s;
}

///
std::string Pack(const  float & v){ 
	return stringV(v).append(" ");
}
///
std::string Pack(const  Frame & frame){ 
	std::string s,ds;
	int i,j;
	for(i = 0; i < 4; ++i)
		for(j = 0; j < 4; ++j)
			s += stringV(frame[i][j]).append(" ");

	return s;
}

/// 
std::string Pack(const int & v){
	return stringV(v).append(" ");
}

///
C2SMessage UnPack(const std::string & mess){
	C2SMessage m;
	m.header = atoi(&mess[0]);
	return m;
}

///
std::string Pack(const C2SMessage & mess){
	char buffer[10];
	sprintf(buffer,"%d",mess.header);	
	return std::string(buffer);
}

