/*
* by
* Massimiliano Corsini,
* Visual Computing Lab
* ISTI-CNR, Pisa, Italy
*/


#ifndef GLWIDGET_H
#define GLWIDGET_H

// The GLEW must be included before other OpenGL headers
#include <GL/glew.h>

// Qt headers
#include <QtOpenGL/QGLWidget>
#include <QtOpenGL/qgl.h>

// local headers
#include "vcgmesh.h"

class GLWidget : public QGLWidget
{
    Q_OBJECT

private:

   VCGMesh *mesh;
   float step;
   float rx,ry,rz;

// construction
public:

        GLWidget(VCGMesh *m, QWidget *parent = 0);

// protected methods
protected:

	void initializeGL();
	void paintGL();
	void resizeGL(int width, int height);
	void mousePressEvent(QMouseEvent *event);
	void mouseMoveEvent(QMouseEvent *event);
	void mouseReleaseEvent(QMouseEvent *event);
	void wheelEvent(QWheelEvent *event);
	void keyPressEvent(QKeyEvent *event);

private:

        // draw the entire scene(!)
        void drawScene();

        // draw reference system
        void draw_axis();

// public methods
public:

};

#endif  /* GLWIDGET_H */
